Package com.opensymphony.sitemesh

# Interface DecoratorSelector

All Known Implementing Classes:
  `DecoratorMapper2DecoratorSelector`

public interface DecoratorSelector
Selects an appropriate Decorator for the Content.

Note: Since SiteMesh 3, this replaces the DecoratorMapper.

Since:
  SiteMesh 3
Author:
  Joe Walnes

## Method Summary

Modifier and Type
Method
Description
`Decorator`
`selectDecorator(Content content, SiteMeshContext context)`

## Method Details

### selectDecorator

Decorator selectDecorator(Content content, SiteMeshContext context)